Skip to content

List saved integration match collections

GET
/v1/integration-match-collections
curl --request GET \
--url https://api.infiniteaudience.ai/v1/integration-match-collections \
--header 'Authorization: Bearer <token>'

Lists private provider-neutral holding collections containing already-settled integration matches. Requires ‘discovery’ scope.

Saved integration match collections

Media typeapplication/json
object
collections
required
Array<object>
object
collection_id
required
string
org_id
required
string
name
required
string
kind
required
string
Allowed values: default
status
required
string
Allowed values: active paused
retention_days
required
integer
Allowed values: 90
unique_identity_count
required
integer | null
count_refreshed_at
required
string | null format: date-time
last_captured_at
required
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{
"collections": [
{
"kind": "default",
"status": "active",
"retention_days": 90
}
]
}

Missing or invalid Bearer token. Obtain one via POST /v1/auth/token. When a token was supplied but rejected, code distinguishes TOKEN_EXPIRED (the token’s lifetime has passed — request a new one via POST /v1/auth/token and retry) from TOKEN_INVALID (malformed or revoked — re-authenticate).

Media typeapplication/json
object
error
required

Stable machine-readable error code (e.g. INVALID_STATUS_TRANSITION, BILLING_INSUFFICIENT_BALANCE). Always present.

string
message

Human-readable explanation of the error.

string
code

Alternate machine-readable code — present on some endpoints as an alias for error for backward compatibility.

string
request_id

Opaque support/debug identifier when available.

string
key
additional properties
any
Examples
{
"error": "Unauthorized: Missing or invalid Authorization header"
}

Token is valid but lacks the required scope for this endpoint. Check the endpoint description for the required scope (discovery, purchase, or account).

Media typeapplication/json
object
error
required

Stable machine-readable error code (e.g. INVALID_STATUS_TRANSITION, BILLING_INSUFFICIENT_BALANCE). Always present.

string
message

Human-readable explanation of the error.

string
code

Alternate machine-readable code — present on some endpoints as an alias for error for backward compatibility.

string
request_id

Opaque support/debug identifier when available.

string
key
additional properties
any
Examples
Examplemissing_scope
{
"error": "SCOPE_REQUIRED",
"message": "This endpoint requires the purchase scope."
}